/* @(#)lwpmachdep1.h 1.9 88/09/28 Copyr 1987 Sun Micro */
/* Copyright (C) 1987. Sun Microsystems, Inc. */

#ifndef _lwp_m68k_machdep_h
#define _lwp_m68k_machdep_h

#ifndef _lwp_wait
#define _lwp_wait
#include <sys/wait.h>
#endif _lwp_wait

#include <sys/time.h>
#include <sys/resource.h>

/* info from SIGCHLD event */
typedef struct sigchldev_t {
	eventinfo_t sigchld_event;      /* general event info, MUST BE FIRST */
	int sigchld_pid;                /* pid of process that changed */
	union wait sigchld_status;      /* status from wait3 */
	struct rusage sigchld_rusage;   /* rusage from wait3 */
} sigchldev_t;

#define	MC_GENERALREGS	12	/* d2-d7, a2-a7 */
#define	MC_TEMPREGS	6	/* d0, d1, a0, a1, pc, ps */

typedef struct machstate_t {
	int mc_generals[MC_GENERALREGS]; /* d2-d7, a2-a7 */
	int mc_temps[MC_TEMPREGS]; /* d0, d1, a0, a1, pc, ps */
} machstate_t;

#endif /*!_lwp_m68k_machdep_h*/
#ifndef	MINSTACKSZ
#define	MINSTACKSZ	1512
#endif	MINSTACKSZ
